Package org.h2gis.functions.string

# Class HexToVarBinary

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.string.HexToVarBinary

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class HexToVarBinary extends org.h2gis.api.DeterministicScalarFunction
Convert Hexadecimal string into an array of byte.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`HexToVarBinary()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static byte[]`
`toVarBinary(String hex)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### HexToVarBinary

public HexToVarBinary()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### toVarBinary

public static byte[] toVarBinary(String hex)